pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 5.0.0 20150206 (Red Hat 5.0.0-0.8)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_mine_detector" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#b6bc5f58#;
   pragma Export (C, u00001, "mine_detectorB");
   u00002 : constant Version_32 := 16#fbff4c67#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#f8ed8679#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#189e106e#;
   pragma Export (C, u00004, "gtkS");
   u00005 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00005, "gdkS");
   u00006 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00006, "glibB");
   u00007 : constant Version_32 := 16#a8d8e2a7#;
   pragma Export (C, u00007, "glibS");
   u00008 : constant Version_32 := 16#12c8cd7d#;
   pragma Export (C, u00008, "ada__tagsB");
   u00009 : constant Version_32 := 16#ce72c228#;
   pragma Export (C, u00009, "ada__tagsS");
   u00010 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00010, "adaS");
   u00011 : constant Version_32 := 16#ca3f4ca0#;
   pragma Export (C, u00011, "ada__exceptionsB");
   u00012 : constant Version_32 := 16#12dbb701#;
   pragma Export (C, u00012, "ada__exceptionsS");
   u00013 : constant Version_32 := 16#a46739c0#;
   pragma Export (C, u00013, "ada__exceptions__last_chance_handlerB");
   u00014 : constant Version_32 := 16#3aac8c92#;
   pragma Export (C, u00014, "ada__exceptions__last_chance_handlerS");
   u00015 : constant Version_32 := 16#fb0c3f68#;
   pragma Export (C, u00015, "systemS");
   u00016 : constant Version_32 := 16#a207fefe#;
   pragma Export (C, u00016, "system__soft_linksB");
   u00017 : constant Version_32 := 16#a056eebf#;
   pragma Export (C, u00017, "system__soft_linksS");
   u00018 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00018, "system__parametersB");
   u00019 : constant Version_32 := 16#85263217#;
   pragma Export (C, u00019, "system__parametersS");
   u00020 : constant Version_32 := 16#b19b6653#;
   pragma Export (C, u00020, "system__secondary_stackB");
   u00021 : constant Version_32 := 16#506df001#;
   pragma Export (C, u00021, "system__secondary_stackS");
   u00022 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00022, "system__storage_elementsB");
   u00023 : constant Version_32 := 16#d6cf756c#;
   pragma Export (C, u00023, "system__storage_elementsS");
   u00024 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00024, "system__stack_checkingB");
   u00025 : constant Version_32 := 16#75b35480#;
   pragma Export (C, u00025, "system__stack_checkingS");
   u00026 : constant Version_32 := 16#393398c1#;
   pragma Export (C, u00026, "system__exception_tableB");
   u00027 : constant Version_32 := 16#5515597d#;
   pragma Export (C, u00027, "system__exception_tableS");
   u00028 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00028, "system__exceptionsB");
   u00029 : constant Version_32 := 16#936f529e#;
   pragma Export (C, u00029, "system__exceptionsS");
   u00030 : constant Version_32 := 16#37d758f1#;
   pragma Export (C, u00030, "system__exceptions__machineS");
   u00031 : constant Version_32 := 16#b895431d#;
   pragma Export (C, u00031, "system__exceptions_debugB");
   u00032 : constant Version_32 := 16#48ee26d6#;
   pragma Export (C, u00032, "system__exceptions_debugS");
   u00033 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00033, "system__img_intB");
   u00034 : constant Version_32 := 16#f9d7dfaa#;
   pragma Export (C, u00034, "system__img_intS");
   u00035 : constant Version_32 := 16#b98c3e16#;
   pragma Export (C, u00035, "system__tracebackB");
   u00036 : constant Version_32 := 16#6531e6b3#;
   pragma Export (C, u00036, "system__tracebackS");
   u00037 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00037, "system__traceback_entriesB");
   u00038 : constant Version_32 := 16#fb57c918#;
   pragma Export (C, u00038, "system__traceback_entriesS");
   u00039 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#e0711dba#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#cd6031bb#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#92b797cb#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#efc6a749#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#6033a23f#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#6fb6be68#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00048, "system__htableB");
   u00049 : constant Version_32 := 16#7fce8c82#;
   pragma Export (C, u00049, "system__htableS");
   u00050 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00050, "system__string_hashB");
   u00051 : constant Version_32 := 16#dd90e7fc#;
   pragma Export (C, u00051, "system__string_hashS");
   u00052 : constant Version_32 := 16#66549ba8#;
   pragma Export (C, u00052, "system__unsigned_typesS");
   u00053 : constant Version_32 := 16#b44f9ae7#;
   pragma Export (C, u00053, "system__val_unsB");
   u00054 : constant Version_32 := 16#76fc7693#;
   pragma Export (C, u00054, "system__val_unsS");
   u00055 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00055, "system__val_utilB");
   u00056 : constant Version_32 := 16#57ac8996#;
   pragma Export (C, u00056, "system__val_utilS");
   u00057 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00057, "system__case_utilB");
   u00058 : constant Version_32 := 16#df0556bf#;
   pragma Export (C, u00058, "system__case_utilS");
   u00059 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00059, "interfaces__cB");
   u00060 : constant Version_32 := 16#4a38bedb#;
   pragma Export (C, u00060, "interfaces__cS");
   u00061 : constant Version_32 := 16#23bf956e#;
   pragma Export (C, u00061, "interfaces__c__stringsB");
   u00062 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00062, "interfaces__c__stringsS");
   u00063 : constant Version_32 := 16#b5b2aca1#;
   pragma Export (C, u00063, "system__finalization_mastersB");
   u00064 : constant Version_32 := 16#8f1a1628#;
   pragma Export (C, u00064, "system__finalization_mastersS");
   u00065 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00065, "system__address_imageB");
   u00066 : constant Version_32 := 16#5ae0a252#;
   pragma Export (C, u00066, "system__address_imageS");
   u00067 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00067, "system__img_boolB");
   u00068 : constant Version_32 := 16#0ed54e83#;
   pragma Export (C, u00068, "system__img_boolS");
   u00069 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00069, "system__ioB");
   u00070 : constant Version_32 := 16#654ec827#;
   pragma Export (C, u00070, "system__ioS");
   u00071 : constant Version_32 := 16#b7ab275c#;
   pragma Export (C, u00071, "ada__finalizationB");
   u00072 : constant Version_32 := 16#19f764ca#;
   pragma Export (C, u00072, "ada__finalizationS");
   u00073 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00073, "ada__streamsB");
   u00074 : constant Version_32 := 16#2e6701ab#;
   pragma Export (C, u00074, "ada__streamsS");
   u00075 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00075, "ada__io_exceptionsS");
   u00076 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00076, "system__finalization_rootB");
   u00077 : constant Version_32 := 16#b4fe4cf8#;
   pragma Export (C, u00077, "system__finalization_rootS");
   u00078 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00078, "system__storage_poolsB");
   u00079 : constant Version_32 := 16#0e57b8ec#;
   pragma Export (C, u00079, "system__storage_poolsS");
   u00080 : constant Version_32 := 16#e34550ca#;
   pragma Export (C, u00080, "system__pool_globalB");
   u00081 : constant Version_32 := 16#c88d2d16#;
   pragma Export (C, u00081, "system__pool_globalS");
   u00082 : constant Version_32 := 16#9d39c675#;
   pragma Export (C, u00082, "system__memoryB");
   u00083 : constant Version_32 := 16#a271595c#;
   pragma Export (C, u00083, "system__memoryS");
   u00084 : constant Version_32 := 16#8b9de966#;
   pragma Export (C, u00084, "system__crtlS");
   u00085 : constant Version_32 := 16#6a859064#;
   pragma Export (C, u00085, "system__storage_pools__subpoolsB");
   u00086 : constant Version_32 := 16#e3b008dc#;
   pragma Export (C, u00086, "system__storage_pools__subpoolsS");
   u00087 : constant Version_32 := 16#63f11652#;
   pragma Export (C, u00087, "system__storage_pools__subpools__finalizationB");
   u00088 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00088, "system__storage_pools__subpools__finalizationS");
   u00089 : constant Version_32 := 16#3fbee080#;
   pragma Export (C, u00089, "glib__objectB");
   u00090 : constant Version_32 := 16#c6371ef1#;
   pragma Export (C, u00090, "glib__objectS");
   u00091 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00091, "glib__type_conversion_hooksB");
   u00092 : constant Version_32 := 16#445b1475#;
   pragma Export (C, u00092, "glib__type_conversion_hooksS");
   u00093 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00093, "gtkadaS");
   u00094 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00094, "gtkada__bindingsB");
   u00095 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00095, "gtkada__bindingsS");
   u00096 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00096, "gnatS");
   u00097 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00097, "gnat__stringsS");
   u00098 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00098, "system__stringsB");
   u00099 : constant Version_32 := 16#85b32e0e#;
   pragma Export (C, u00099, "system__stringsS");
   u00100 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00100, "gtkada__cB");
   u00101 : constant Version_32 := 16#5a10624a#;
   pragma Export (C, u00101, "gtkada__cS");
   u00102 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00102, "gtkada__typesB");
   u00103 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00103, "gtkada__typesS");
   u00104 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00104, "glib__glistB");
   u00105 : constant Version_32 := 16#91eec355#;
   pragma Export (C, u00105, "glib__glistS");
   u00106 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00106, "glib__gslistB");
   u00107 : constant Version_32 := 16#7baff41a#;
   pragma Export (C, u00107, "glib__gslistS");
   u00108 : constant Version_32 := 16#f4e1c091#;
   pragma Export (C, u00108, "system__stream_attributesB");
   u00109 : constant Version_32 := 16#221dd20d#;
   pragma Export (C, u00109, "system__stream_attributesS");
   u00110 : constant Version_32 := 16#a88635f5#;
   pragma Export (C, u00110, "gtk__mainB");
   u00111 : constant Version_32 := 16#58635a6e#;
   pragma Export (C, u00111, "gtk__mainS");
   u00112 : constant Version_32 := 16#e6c57dae#;
   pragma Export (C, u00112, "gdk__typesS");
   u00113 : constant Version_32 := 16#87d48c6e#;
   pragma Export (C, u00113, "glib__generic_propertiesB");
   u00114 : constant Version_32 := 16#0dfedcb1#;
   pragma Export (C, u00114, "glib__generic_propertiesS");
   u00115 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00115, "glib__valuesB");
   u00116 : constant Version_32 := 16#636f9e00#;
   pragma Export (C, u00116, "glib__valuesS");
   u00117 : constant Version_32 := 16#eaf61126#;
   pragma Export (C, u00117, "gdk__eventB");
   u00118 : constant Version_32 := 16#20a02d13#;
   pragma Export (C, u00118, "gdk__eventS");
   u00119 : constant Version_32 := 16#f768d7d1#;
   pragma Export (C, u00119, "gdk__rectangleB");
   u00120 : constant Version_32 := 16#3ace198e#;
   pragma Export (C, u00120, "gdk__rectangleS");
   u00121 : constant Version_32 := 16#a738a1a3#;
   pragma Export (C, u00121, "cairoB");
   u00122 : constant Version_32 := 16#bccf11df#;
   pragma Export (C, u00122, "cairoS");
   u00123 : constant Version_32 := 16#50ae1241#;
   pragma Export (C, u00123, "cairo__regionB");
   u00124 : constant Version_32 := 16#3ad35712#;
   pragma Export (C, u00124, "cairo__regionS");
   u00125 : constant Version_32 := 16#b7ed16af#;
   pragma Export (C, u00125, "gdk__windowB");
   u00126 : constant Version_32 := 16#5433165d#;
   pragma Export (C, u00126, "gdk__windowS");
   u00127 : constant Version_32 := 16#1a967a5c#;
   pragma Export (C, u00127, "gtk__widgetB");
   u00128 : constant Version_32 := 16#4e8e73f5#;
   pragma Export (C, u00128, "gtk__widgetS");
   u00129 : constant Version_32 := 16#5e734037#;
   pragma Export (C, u00129, "gdk__colorB");
   u00130 : constant Version_32 := 16#be8c9938#;
   pragma Export (C, u00130, "gdk__colorS");
   u00131 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00131, "gdk__visualB");
   u00132 : constant Version_32 := 16#c396fb2c#;
   pragma Export (C, u00132, "gdk__visualS");
   u00133 : constant Version_32 := 16#8b0f7857#;
   pragma Export (C, u00133, "gtk__enumsB");
   u00134 : constant Version_32 := 16#0f1bcad5#;
   pragma Export (C, u00134, "gtk__enumsS");
   u00135 : constant Version_32 := 16#89666407#;
   pragma Export (C, u00135, "gtk__styleB");
   u00136 : constant Version_32 := 16#adc59eaa#;
   pragma Export (C, u00136, "gtk__styleS");
   u00137 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00137, "pangoS");
   u00138 : constant Version_32 := 16#7e92ca7e#;
   pragma Export (C, u00138, "pango__fontB");
   u00139 : constant Version_32 := 16#ab2c57e6#;
   pragma Export (C, u00139, "pango__fontS");
   u00140 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00140, "pango__enumsB");
   u00141 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00141, "pango__enumsS");
   u00142 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00142, "gdk__fontB");
   u00143 : constant Version_32 := 16#36f135f3#;
   pragma Export (C, u00143, "gdk__fontS");
   u00144 : constant Version_32 := 16#83686bce#;
   pragma Export (C, u00144, "gdk__gcB");
   u00145 : constant Version_32 := 16#17b10250#;
   pragma Export (C, u00145, "gdk__gcS");
   u00146 : constant Version_32 := 16#1954766b#;
   pragma Export (C, u00146, "gdk__regionB");
   u00147 : constant Version_32 := 16#c39790b5#;
   pragma Export (C, u00147, "gdk__regionS");
   u00148 : constant Version_32 := 16#0e50e376#;
   pragma Export (C, u00148, "gdk__pixmapB");
   u00149 : constant Version_32 := 16#af0526c2#;
   pragma Export (C, u00149, "gdk__pixmapS");
   u00150 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00150, "gdk__bitmapB");
   u00151 : constant Version_32 := 16#f567db9b#;
   pragma Export (C, u00151, "gdk__bitmapS");
   u00152 : constant Version_32 := 16#67ded803#;
   pragma Export (C, u00152, "gtk__objectB");
   u00153 : constant Version_32 := 16#4e072ff5#;
   pragma Export (C, u00153, "gtk__objectS");
   u00154 : constant Version_32 := 16#17a869e9#;
   pragma Export (C, u00154, "glib__propertiesB");
   u00155 : constant Version_32 := 16#be3a3a22#;
   pragma Export (C, u00155, "glib__propertiesS");
   u00156 : constant Version_32 := 16#6d9188dd#;
   pragma Export (C, u00156, "pango__layoutB");
   u00157 : constant Version_32 := 16#32af7128#;
   pragma Export (C, u00157, "pango__layoutS");
   u00158 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00158, "pango__attributesB");
   u00159 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00159, "pango__attributesS");
   u00160 : constant Version_32 := 16#4ecd8357#;
   pragma Export (C, u00160, "pango__contextB");
   u00161 : constant Version_32 := 16#df5146b2#;
   pragma Export (C, u00161, "pango__contextS");
   u00162 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00162, "pango__tabsB");
   u00163 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00163, "pango__tabsS");
   u00164 : constant Version_32 := 16#13f4e9ca#;
   pragma Export (C, u00164, "gtk__windowB");
   u00165 : constant Version_32 := 16#64f6f30a#;
   pragma Export (C, u00165, "gtk__windowS");
   u00166 : constant Version_32 := 16#69f90ada#;
   pragma Export (C, u00166, "gdk__pixbufB");
   u00167 : constant Version_32 := 16#6033de09#;
   pragma Export (C, u00167, "gdk__pixbufS");
   u00168 : constant Version_32 := 16#5a291058#;
   pragma Export (C, u00168, "gdk__cursorB");
   u00169 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00169, "gdk__cursorS");
   u00170 : constant Version_32 := 16#8abd1834#;
   pragma Export (C, u00170, "gdk__displayB");
   u00171 : constant Version_32 := 16#a37ccb2a#;
   pragma Export (C, u00171, "gdk__displayS");
   u00172 : constant Version_32 := 16#c048449e#;
   pragma Export (C, u00172, "gdk__drawableB");
   u00173 : constant Version_32 := 16#5ab47d3c#;
   pragma Export (C, u00173, "gdk__drawableS");
   u00174 : constant Version_32 := 16#a0c03b15#;
   pragma Export (C, u00174, "gdk__rgbB");
   u00175 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00175, "gdk__rgbS");
   u00176 : constant Version_32 := 16#e823a664#;
   pragma Export (C, u00176, "glib__errorB");
   u00177 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00177, "glib__errorS");
   u00178 : constant Version_32 := 16#4105bdf9#;
   pragma Export (C, u00178, "gtk__accel_groupB");
   u00179 : constant Version_32 := 16#c1d3ea52#;
   pragma Export (C, u00179, "gtk__accel_groupS");
   u00180 : constant Version_32 := 16#a197cf03#;
   pragma Export (C, u00180, "gtk__binB");
   u00181 : constant Version_32 := 16#49646a83#;
   pragma Export (C, u00181, "gtk__binS");
   u00182 : constant Version_32 := 16#3dc4d1d8#;
   pragma Export (C, u00182, "glib__typesB");
   u00183 : constant Version_32 := 16#29bafcce#;
   pragma Export (C, u00183, "glib__typesS");
   u00184 : constant Version_32 := 16#21574a83#;
   pragma Export (C, u00184, "gtk__buildableB");
   u00185 : constant Version_32 := 16#91a889d8#;
   pragma Export (C, u00185, "gtk__buildableS");
   u00186 : constant Version_32 := 16#13fbe1ae#;
   pragma Export (C, u00186, "gtk__builderB");
   u00187 : constant Version_32 := 16#cf3178b1#;
   pragma Export (C, u00187, "gtk__builderS");
   u00188 : constant Version_32 := 16#704d2c67#;
   pragma Export (C, u00188, "gtk__containerB");
   u00189 : constant Version_32 := 16#fe9a550d#;
   pragma Export (C, u00189, "gtk__containerS");
   u00190 : constant Version_32 := 16#d43b17a9#;
   pragma Export (C, u00190, "gtk__adjustmentB");
   u00191 : constant Version_32 := 16#87a9fd8d#;
   pragma Export (C, u00191, "gtk__adjustmentS");
   u00192 : constant Version_32 := 16#d6962881#;
   pragma Export (C, u00192, "user_ifB");
   u00193 : constant Version_32 := 16#579442af#;
   pragma Export (C, u00193, "user_ifS");
   u00194 : constant Version_32 := 16#12c24a43#;
   pragma Export (C, u00194, "ada__charactersS");
   u00195 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00195, "ada__characters__latin_1S");
   u00196 : constant Version_32 := 16#af50e98f#;
   pragma Export (C, u00196, "ada__stringsS");
   u00197 : constant Version_32 := 16#f78329ae#;
   pragma Export (C, u00197, "ada__strings__unboundedB");
   u00198 : constant Version_32 := 16#e303cf90#;
   pragma Export (C, u00198, "ada__strings__unboundedS");
   u00199 : constant Version_32 := 16#c06203f3#;
   pragma Export (C, u00199, "ada__strings__searchB");
   u00200 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00200, "ada__strings__searchS");
   u00201 : constant Version_32 := 16#e2ea8656#;
   pragma Export (C, u00201, "ada__strings__mapsB");
   u00202 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00202, "ada__strings__mapsS");
   u00203 : constant Version_32 := 16#4e51c20b#;
   pragma Export (C, u00203, "system__bit_opsB");
   u00204 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00204, "system__bit_opsS");
   u00205 : constant Version_32 := 16#5b9edcc4#;
   pragma Export (C, u00205, "system__compare_array_unsigned_8B");
   u00206 : constant Version_32 := 16#520f4ee5#;
   pragma Export (C, u00206, "system__compare_array_unsigned_8S");
   u00207 : constant Version_32 := 16#5f72f755#;
   pragma Export (C, u00207, "system__address_operationsB");
   u00208 : constant Version_32 := 16#e800815b#;
   pragma Export (C, u00208, "system__address_operationsS");
   u00209 : constant Version_32 := 16#e5ac57f8#;
   pragma Export (C, u00209, "system__atomic_countersB");
   u00210 : constant Version_32 := 16#3670aba2#;
   pragma Export (C, u00210, "system__atomic_countersS");
   u00211 : constant Version_32 := 16#f4b744a6#;
   pragma Export (C, u00211, "system__machine_codeS");
   u00212 : constant Version_32 := 16#fa841685#;
   pragma Export (C, u00212, "fieldS");
   u00213 : constant Version_32 := 16#3b5f9f65#;
   pragma Export (C, u00213, "field__operationsB");
   u00214 : constant Version_32 := 16#0244ca25#;
   pragma Export (C, u00214, "field__operationsS");
   u00215 : constant Version_32 := 16#84ad4a42#;
   pragma Export (C, u00215, "ada__numericsS");
   u00216 : constant Version_32 := 16#216aa6ef#;
   pragma Export (C, u00216, "system__random_numbersB");
   u00217 : constant Version_32 := 16#02927fa5#;
   pragma Export (C, u00217, "system__random_numbersS");
   u00218 : constant Version_32 := 16#eef535cd#;
   pragma Export (C, u00218, "system__img_unsB");
   u00219 : constant Version_32 := 16#f9a0a75f#;
   pragma Export (C, u00219, "system__img_unsS");
   u00220 : constant Version_32 := 16#7cd2c459#;
   pragma Export (C, u00220, "system__random_seedB");
   u00221 : constant Version_32 := 16#9a9ae664#;
   pragma Export (C, u00221, "system__random_seedS");
   u00222 : constant Version_32 := 16#649a98f6#;
   pragma Export (C, u00222, "ada__calendarB");
   u00223 : constant Version_32 := 16#e67a5d0a#;
   pragma Export (C, u00223, "ada__calendarS");
   u00224 : constant Version_32 := 16#be1316da#;
   pragma Export (C, u00224, "system__os_primitivesB");
   u00225 : constant Version_32 := 16#4bddb341#;
   pragma Export (C, u00225, "system__os_primitivesS");
   u00226 : constant Version_32 := 16#45c8dd84#;
   pragma Export (C, u00226, "gtk__argumentsB");
   u00227 : constant Version_32 := 16#94c26bbf#;
   pragma Export (C, u00227, "gtk__argumentsS");
   u00228 : constant Version_32 := 16#ac830e6e#;
   pragma Export (C, u00228, "gtk__boxB");
   u00229 : constant Version_32 := 16#3eadf058#;
   pragma Export (C, u00229, "gtk__boxS");
   u00230 : constant Version_32 := 16#04c07fef#;
   pragma Export (C, u00230, "gtk__orientableB");
   u00231 : constant Version_32 := 16#2882c3d4#;
   pragma Export (C, u00231, "gtk__orientableS");
   u00232 : constant Version_32 := 16#3d07fe83#;
   pragma Export (C, u00232, "gtk__buttonB");
   u00233 : constant Version_32 := 16#8fd41909#;
   pragma Export (C, u00233, "gtk__buttonS");
   u00234 : constant Version_32 := 16#87c1bb11#;
   pragma Export (C, u00234, "gtk__actionB");
   u00235 : constant Version_32 := 16#fafdb5f3#;
   pragma Export (C, u00235, "gtk__actionS");
   u00236 : constant Version_32 := 16#3059eb8c#;
   pragma Export (C, u00236, "glib__g_iconB");
   u00237 : constant Version_32 := 16#2aae9697#;
   pragma Export (C, u00237, "glib__g_iconS");
   u00238 : constant Version_32 := 16#723c7711#;
   pragma Export (C, u00238, "gtk__activatableB");
   u00239 : constant Version_32 := 16#79a1d2f9#;
   pragma Export (C, u00239, "gtk__activatableS");
   u00240 : constant Version_32 := 16#1c89d725#;
   pragma Export (C, u00240, "gtk__check_buttonB");
   u00241 : constant Version_32 := 16#a0bd8201#;
   pragma Export (C, u00241, "gtk__check_buttonS");
   u00242 : constant Version_32 := 16#e633bda3#;
   pragma Export (C, u00242, "gtk__toggle_buttonB");
   u00243 : constant Version_32 := 16#6565ea8a#;
   pragma Export (C, u00243, "gtk__toggle_buttonS");
   u00244 : constant Version_32 := 16#94fe1c6e#;
   pragma Export (C, u00244, "gtk__dialogB");
   u00245 : constant Version_32 := 16#8fa4d0bf#;
   pragma Export (C, u00245, "gtk__dialogS");
   u00246 : constant Version_32 := 16#733dc54e#;
   pragma Export (C, u00246, "gtk__handlersB");
   u00247 : constant Version_32 := 16#dc606d67#;
   pragma Export (C, u00247, "gtk__handlersS");
   u00248 : constant Version_32 := 16#1767a79e#;
   pragma Export (C, u00248, "system__assertionsB");
   u00249 : constant Version_32 := 16#368113fc#;
   pragma Export (C, u00249, "system__assertionsS");
   u00250 : constant Version_32 := 16#6e0c276c#;
   pragma Export (C, u00250, "gtk__marshallersB");
   u00251 : constant Version_32 := 16#08dc7f66#;
   pragma Export (C, u00251, "gtk__marshallersS");
   u00252 : constant Version_32 := 16#d94049f2#;
   pragma Export (C, u00252, "gtk__notebookB");
   u00253 : constant Version_32 := 16#1cb6bfd9#;
   pragma Export (C, u00253, "gtk__notebookS");
   u00254 : constant Version_32 := 16#392cea9c#;
   pragma Export (C, u00254, "gtk__tree_modelB");
   u00255 : constant Version_32 := 16#7f557252#;
   pragma Export (C, u00255, "gtk__tree_modelS");
   u00256 : constant Version_32 := 16#dc38657a#;
   pragma Export (C, u00256, "gtk__labelB");
   u00257 : constant Version_32 := 16#443eed3e#;
   pragma Export (C, u00257, "gtk__labelS");
   u00258 : constant Version_32 := 16#73990cc1#;
   pragma Export (C, u00258, "gtk__miscB");
   u00259 : constant Version_32 := 16#28c2780b#;
   pragma Export (C, u00259, "gtk__miscS");
   u00260 : constant Version_32 := 16#e4f9fd83#;
   pragma Export (C, u00260, "gtk__menuB");
   u00261 : constant Version_32 := 16#1fd658b4#;
   pragma Export (C, u00261, "gtk__menuS");
   u00262 : constant Version_32 := 16#96d220dc#;
   pragma Export (C, u00262, "gtk__menu_shellB");
   u00263 : constant Version_32 := 16#6cad757a#;
   pragma Export (C, u00263, "gtk__menu_shellS");
   u00264 : constant Version_32 := 16#ddd07187#;
   pragma Export (C, u00264, "gtk__menu_itemB");
   u00265 : constant Version_32 := 16#065672d2#;
   pragma Export (C, u00265, "gtk__menu_itemS");
   u00266 : constant Version_32 := 16#62d94be3#;
   pragma Export (C, u00266, "gtk__itemB");
   u00267 : constant Version_32 := 16#b82be748#;
   pragma Export (C, u00267, "gtk__itemS");
   u00268 : constant Version_32 := 16#09ec3c79#;
   pragma Export (C, u00268, "gdk__screenB");
   u00269 : constant Version_32 := 16#3c24ec57#;
   pragma Export (C, u00269, "gdk__screenS");
   u00270 : constant Version_32 := 16#7ed444b6#;
   pragma Export (C, u00270, "gtk__option_menuB");
   u00271 : constant Version_32 := 16#fb36a475#;
   pragma Export (C, u00271, "gtk__option_menuS");
   u00272 : constant Version_32 := 16#e4cb5bd2#;
   pragma Export (C, u00272, "gtk__radio_menu_itemB");
   u00273 : constant Version_32 := 16#26e1135e#;
   pragma Export (C, u00273, "gtk__radio_menu_itemS");
   u00274 : constant Version_32 := 16#cb0479c1#;
   pragma Export (C, u00274, "gtk__check_menu_itemB");
   u00275 : constant Version_32 := 16#01fb11ba#;
   pragma Export (C, u00275, "gtk__check_menu_itemS");
   u00276 : constant Version_32 := 16#ed746a4c#;
   pragma Export (C, u00276, "gtk__scrolled_windowB");
   u00277 : constant Version_32 := 16#a424ce2f#;
   pragma Export (C, u00277, "gtk__scrolled_windowS");
   u00278 : constant Version_32 := 16#4903acd6#;
   pragma Export (C, u00278, "gtk__scrollbarB");
   u00279 : constant Version_32 := 16#f4fbde14#;
   pragma Export (C, u00279, "gtk__scrollbarS");
   u00280 : constant Version_32 := 16#2b01d993#;
   pragma Export (C, u00280, "gtk__grangeB");
   u00281 : constant Version_32 := 16#4c4968cb#;
   pragma Export (C, u00281, "gtk__grangeS");
   u00282 : constant Version_32 := 16#516b621f#;
   pragma Export (C, u00282, "gtk__tableB");
   u00283 : constant Version_32 := 16#28dcd080#;
   pragma Export (C, u00283, "gtk__tableS");
   u00284 : constant Version_32 := 16#0dcee39b#;
   pragma Export (C, u00284, "gtk__textB");
   u00285 : constant Version_32 := 16#dd8c54be#;
   pragma Export (C, u00285, "gtk__textS");
   u00286 : constant Version_32 := 16#5cc09b38#;
   pragma Export (C, u00286, "gtk__old_editableB");
   u00287 : constant Version_32 := 16#992e4f9f#;
   pragma Export (C, u00287, "gtk__old_editableS");
   u00288 : constant Version_32 := 16#700df112#;
   pragma Export (C, u00288, "gtkada__dialogsB");
   u00289 : constant Version_32 := 16#95807dbe#;
   pragma Export (C, u00289, "gtkada__dialogsS");
   u00290 : constant Version_32 := 16#e5480ede#;
   pragma Export (C, u00290, "ada__strings__fixedB");
   u00291 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00291, "ada__strings__fixedS");
   u00292 : constant Version_32 := 16#a637cc25#;
   pragma Export (C, u00292, "gtk__pixmapB");
   u00293 : constant Version_32 := 16#582aa316#;
   pragma Export (C, u00293, "gtk__pixmapS");
   u00294 : constant Version_32 := 16#2fb7e092#;
   pragma Export (C, u00294, "gtkada__intlB");
   u00295 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00295, "gtkada__intlS");
   u00296 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00296, "gtkada__pixmapsS");
   u00297 : constant Version_32 := 16#951168da#;
   pragma Export (C, u00297, "system__exp_lliB");
   u00298 : constant Version_32 := 16#416c1ef2#;
   pragma Export (C, u00298, "system__exp_lliS");
   u00299 : constant Version_32 := 16#7ebd8839#;
   pragma Export (C, u00299, "system__val_intB");
   u00300 : constant Version_32 := 16#b3a91557#;
   pragma Export (C, u00300, "system__val_intS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_counters%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.exp_lli%s
   --  system.exp_lli%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.machine_code%s
   --  system.atomic_counters%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.img_uns%s
   --  system.img_uns%b
   --  system.val_int%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.fixed%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.random_numbers%s
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.secondary_stack%s
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  ada.tags%b
   --  ada.strings.fixed%b
   --  ada.strings.maps%b
   --  system.soft_links%b
   --  system.secondary_stack%b
   --  system.random_numbers%b
   --  system.address_image%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  cairo%s
   --  cairo%b
   --  cairo.region%s
   --  cairo.region%b
   --  field%s
   --  field.operations%s
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.g_icon%s
   --  glib.g_icon%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.types%s
   --  glib.values%s
   --  glib.values%b
   --  gdk.color%s
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gtk%s
   --  gtk.tree_model%s
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.types%b
   --  glib.object%b
   --  gtk.tree_model%b
   --  gdk.color%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  gdk.event%s
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.screen%s
   --  gdk.screen%b
   --  gdk.window%s
   --  gdk.event%b
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtk.orientable%s
   --  gtk.orientable%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.style%s
   --  gtk.style%b
   --  gtk.widget%s
   --  gdk.window%b
   --  gtk.action%s
   --  gtk.action%b
   --  gtk.activatable%s
   --  gtk.activatable%b
   --  gtk.arguments%s
   --  gtk.arguments%b
   --  gtk.builder%s
   --  gtk.builder%b
   --  gtk.buildable%s
   --  gtk.buildable%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.button%s
   --  gtk.button%b
   --  gtk.grange%s
   --  gtk.grange%b
   --  gtk.item%s
   --  gtk.item%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.marshallers%s
   --  gtk.marshallers%b
   --  gtk.menu_item%s
   --  gtk.menu_item%b
   --  gtk.check_menu_item%s
   --  gtk.check_menu_item%b
   --  gtk.menu_shell%s
   --  gtk.menu_shell%b
   --  gtk.menu%s
   --  gtk.menu%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.notebook%s
   --  gtk.notebook%b
   --  gtk.old_editable%s
   --  gtk.old_editable%b
   --  gtk.option_menu%s
   --  gtk.option_menu%b
   --  gtk.radio_menu_item%s
   --  gtk.radio_menu_item%b
   --  gtk.scrollbar%s
   --  gtk.scrollbar%b
   --  gtk.scrolled_window%s
   --  gtk.scrolled_window%b
   --  gtk.table%s
   --  gtk.table%b
   --  gtk.text%s
   --  gtk.text%b
   --  gtk.toggle_button%s
   --  gtk.toggle_button%b
   --  gtk.check_button%s
   --  gtk.check_button%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.handlers%s
   --  gtk.handlers%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  user_if%s
   --  user_if%b
   --  field.operations%b
   --  mine_detector%b
   --  END ELABORATION ORDER


end ada_main;
